GCLOUD_SQL_INSTANCES_IMPORT(1)

NAME

gcloud sql instances import - imports data into a Cloud SQL instance from Google Cloud Storage

SYNOPSIS

gcloud sql instances import INSTANCE URI [--async] [--database=DATABASE, -d DATABASE] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
Note: authorization is required. For more information on importing data into Google Cloud SQL see https://cloud.google.com/sql/docs/import-export/importing.

POSITIONAL ARGUMENTS

    INSTANCE
        Cloud SQL instance ID.

    URI Path to the MySQL dump file in Google Cloud Storage from which the import is made. The URI is in the form gs://bucketName/fileName. Compressed gzip files (.gz) are also supported.

FLAGS

    --async
        Do not wait for the operation to complete.

    --database=DATABASE, -d DATABASE
        The database (for example, guestbook) to which the import is made. If not set, it is assumed that the database is specified in the file to be imported.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.